package main

import (
	"net/http"

	"github.com/gin-gonic/gin"
)

func main() {
	// 创建Gin引擎
	r := gin.Default()

	// 配置静态文件路径
	//r.Static("/static", "./static")

	r.LoadHTMLGlob("static/*")

	// 定义GET请求处理程序，返回HTML响应
	r.GET("/", func(c *gin.Context) {
		c.HTML(http.StatusOK, "index.html", gin.H{})
		// c.JSON(http.StatusOK, gin.H{
		// 	"message": "Hello, World!",
		// })
	})

	// 启动HTTP服务器
	r.Run(":8080")
}
