package main

import (
	"github.com/gin-gonic/gin"
)

func main() {
	// 创建Gin引擎
	r := gin.Default()
	// 设置静态文件目录
	r.Static("/static", "./public/dist/*")

	// 定义GET请求处理程序，返回HTML响应
	r.GET("/", func(c *gin.Context) {
		c.File("./public/dist/index.html")
	})

	// 启动HTTP服务器
	r.Run(":8080")
}
